<script setup lang="ts">
import type { Product } from '@/types/Products';

const props = defineProps<{
    product:Product
}>()
const emit = defineEmits<{
    selectedProduct:[Product] // selectedProduct(Product p)
}>()
</script>
<template>
<v-sheet width="150" height="150" elevation="2">
    <v-img :src="`./public/img/menuPics/Product${product.id}.png`" height="100"></v-img>
    <div style="text-align: center; font-size: 10pt;">{{ product.name }}</div>
    <div style="text-align: center; font-size: 10pt;">{{ product.price }} บาท</div>
</v-sheet>
</template>